NVME-WDC-LOG-PAGE(1)

NAME
nvme-wdc-log-page-directory - Retrieves the list of Log IDs supported by the drive

SYNOPSIS

nvme wdc log-page-directory <device> [--output-format=<normal|json|binary> -o <normal|json|binary>]

DESCRIPTION

For the NVMe device given, retrieves the log page directory which contains the list of log page IDs supported by the drive. The --output-format option will format the output as specified.

The <device> parameter is mandatory and must be the NVMe character device (ex: /dev/nvme0).

This will only work on WDC devices supporting this feature. Results for any other device are undefined.

On success it returns the log page directory information, error code otherwise.

OPTIONS

-o <format>, --output-format=<format>
    Set the reporting format to normal, json, or binary. Only one output format can be used at a time. The default is normal.

EXAMPLES

    • WDC log-page-directory example command :

        # nvme wdc log-page-directory /dev/nvme0

NVME

Part of the nvme-user suite.